cURL
Authorizations
string
header
required
DashScope API Key,在控制台 API Key 页面(https://agent.console.aliyun.com/settings/apikey)获取。
Body
application/jsonstring
required
要删除的知识库 ID,即 create_v2 接口返回的 data.pipelineId。
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
永久删除指定的知识库及其所有文档和切片
curl -X POST "https://{workspaceId}.cn-beijing.maas.aliyuncs.com/api/v1/indices/rag/index/delete" \
-H "Authorization: Bearer $DASHSCOPE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"index_id": "your_index_id"}'{
"code": "Success",
"status_code": 200,
"success": true,
"message": "success",
"request_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"status": "SUCCESS"
}DashScope API Key,在控制台 API Key 页面(https://agent.console.aliyun.com/settings/apikey)获取。
要删除的知识库 ID,即 create_v2 接口返回的 data.pipelineId。
curl -X POST "https://{workspaceId}.cn-beijing.maas.aliyuncs.com/api/v1/indices/rag/index/delete" \
-H "Authorization: Bearer $DASHSCOPE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"index_id": "your_index_id"}'{
"code": "Success",
"status_code": 200,
"success": true,
"message": "success",
"request_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"status": "SUCCESS"
}